package com.artfess.yhxt.specialproject.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.specialproject.model.BizConstructionLog;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.specialproject.vo.BizConstructionLogVo;

/**
 * 施工日志表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-11
 */
public interface BizConstructionLogManager extends BaseManager<BizConstructionLog> {

    PageList<BizConstructionLog> queryBizConstructionLog(QueryFilter<BizConstructionLog> queryFilter);

    BizConstructionLog getBizConstructionLogById(String id);
    //根据ID查询施工日志、附件
    BizConstructionLogVo getVo(String id);
    //保存施工日志、附件
    void saveVo(BizConstructionLogVo bizConstructionLogVo);
    //修改施工日志、附件
    void updateVo(BizConstructionLogVo bizConstructionLogVo);
}
